%global gittag 5.9.0.202009080501-r

Name:           eclipse-jgit
Version:        5.9.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Eclipse JGit

# The jgit Eclipse plug-ins are "EDL" licensed, which is equivilent to the new BSD license
License:        BSD
URL:            https://www.eclipse.org/jgit/
Source0:        https://git.eclipse.org/c/jgit/jgit.git/snapshot/jgit-%{gittag}.tar.xz

# Set the correct classpath for the command line tools
Patch0:         0001-Ensure-the-correct-classpath-is-set-for-the-jgit-com.patch
# Switch to feature requirements for third-party bundles, also makes the following changes:
#  javaewah -> com.googlecode.javaewah.JavaEWAH
#  org.slf4j.api -> slf4j.api
#  org.slf4j.impl.log4j12 -> slf4j.simple
Patch1:         0002-Don-t-embed-versions-of-third-party-libs-use-feature.patch

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:  tycho
BuildRequires:  jgit = %{version}

Requires:       eclipse-platform
Requires:       jgit = %{version}

%description
A pure Java implementation of the Git version control system.

%prep
%setup -n jgit-%{gittag} -q
%patch0 -p1
%patch1 -p1

# Disable multithreaded build
rm .mvn/maven.config

# Don't try to get deps from local *maven* repo, use tycho resolved ones
for p in $(find org.eclipse.jgit.packaging -name pom.xml) ; do
  grep -q dependencies $p && %pom_xpath_remove "pom:dependencies" $p
done

# Don't need target platform or repository modules with xmvn
%pom_disable_module org.eclipse.jgit.target org.eclipse.jgit.packaging
%pom_disable_module org.eclipse.jgit.repository org.eclipse.jgit.packaging
%pom_xpath_remove "pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:target" org.eclipse.jgit.packaging/pom.xml

# Don't build source features
%pom_disable_module org.eclipse.jgit.source.feature org.eclipse.jgit.packaging

# Don't build junit testing features
%pom_disable_module org.eclipse.jgit.junit.feature org.eclipse.jgit.packaging

# Remove unnecessary plugins for RPM builds
%pom_remove_plugin :maven-enforcer-plugin org.eclipse.jgit.packaging

pushd org.eclipse.jgit.packaging
%mvn_package "::pom::" __noinstall
popd

%build
pushd org.eclipse.jgit.packaging
%mvn_build -j
popd

%install
pushd org.eclipse.jgit.packaging
%mvn_install
popd

%files -f org.eclipse.jgit.packaging/.mfiles
%license LICENSE
%doc README.md




%changelog
* Sat Nov 14 2020 tv <tv> 5.9.0-1.mga8
+ Revision: 1645892
- 5.9.0

* Thu Aug 20 2020 neoclust <neoclust> 5.6.0-2.mga8
+ Revision: 1617078
- Rebuild against java11

* Sun Aug 16 2020 neoclust <neoclust> 5.6.0-1.mga8
+ Revision: 1614267
- New version 5.6.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Jul 19 2019 daviddavid <daviddavid> 5.3.0-2.mga8
+ Revision: 1422720
- Non-boostrap build

* Fri Jul 19 2019 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1422710
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself
- bootstrap build

* Thu Jul 18 2019 daviddavid <daviddavid> 5.2.0-4.mga8
+ Revision: 1422348
- Add javapackages-tools requires to jgit for /usr/bin/build-classpath

* Thu Feb 07 2019 daviddavid <daviddavid> 5.2.0-3.mga7
+ Revision: 1363962
- Add missing requires for optional dep on bouncycastle

* Sun Dec 16 2018 neoclust <neoclust> 5.2.0-2.mga7
+ Revision: 1341798
- Disable bootstrap

* Sat Dec 15 2018 neoclust <neoclust> 5.2.0-1.mga7
+ Revision: 1341389
- New version 5.2.0

* Tue Sep 18 2018 umeabot <umeabot> 4.7.0-4.mga7
+ Revision: 1260749
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 4.7.0-3.mga6
+ Revision: 1102508
- New version 4.7.0

* Wed Oct 05 2016 daviddavid <daviddavid> 4.5.0-1.mga6
+ Revision: 1058855
- Update to upstream 4.5.0 release

* Thu Aug 11 2016 daviddavid <daviddavid> 4.4.1-1.mga6
+ Revision: 1045540
- Upgrade to 4.4.1 (sync with fc24)

* Sun Jul 03 2016 daviddavid <daviddavid> 4.4.0-2.mga6
+ Revision: 1038548
- Fix IllegalStateException when starting git daemon from the command line

* Sun Jul 03 2016 daviddavid <daviddavid> 4.4.0-1.mga6
+ Revision: 1038402
- Update to latest release
- Add missing build-requires

* Wed May 04 2016 daviddavid <daviddavid> 4.3.0-2.mga6
+ Revision: 1009390
- Avoid embedding versions of external deps in features. This avoids the need to
  rebuild when a dependency changes version.

* Fri Apr 29 2016 daviddavid <daviddavid> 4.3.0-1.mga6
+ Revision: 1007740
- Upgrade to 4.3.0
- make sure patch2 is applied
+ neoclust <neoclust>
- Second rebuild of the java stack
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 4.2.0-3.mga6
+ Revision: 975785
- First rebuild of the java stack
- sync package eclipse-jgit with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 3.5.2-2.mga5
+ Revision: 807613
- Clean rebuild
- Sync with Fedora 21 (update to 3.5.2)
- Restore
+ sander85 <sander85>
- Depends on broken java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 luigiwalser <luigiwalser> 3.1.0-3.mga4
+ Revision: 559006
- rebuild against eclipse-4.3.1-7.mga4

* Tue Oct 22 2013 umeabot <umeabot> 3.1.0-2.mga4
+ Revision: 542181
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 3.1.0-1.mga4
+ Revision: 497051
- New version
- New version

* Sat Jan 19 2013 dmorgan <dmorgan> 2.2.0-1.mga3
+ Revision: 389581
- New version

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-5.mga3
+ Revision: 349434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 2.1.0-4.mga3
+ Revision: 327351
- Rebuild against new eclipse
- Rebuild against new eclipse

* Wed Dec 05 2012 dmorgan <dmorgan> 2.1.0-2.mga3
+ Revision: 327059
- Rebuild to check correctness of eclipse setup

* Wed Dec 05 2012 dmorgan <dmorgan> 2.1.0-1.mga3
+ Revision: 326990
- New version
- New version

* Mon May 09 2011 dmorgan <dmorgan> 0.12.1-1.mga1
+ Revision: 96792
- imported package eclipse-jgit

